Subject: Re: [PATCH] blackhole_dev: Fix buil warning

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 Feb 2024 11:40:59 -0800

On Thu, 1 Feb 2024 10:46:08 -0800 Breno Leitao wrote:
> > Since Jiri suggested a title fix I reckon we should be a bit more
> > specific, still. Imagine this title ending up in a quote or a Fixes
> > tag, could be many things.. How about:
> > 
> >   net: blackhole_dev: fix build warning for ethh set but not used  
> 
> Sure, let me resend it.
> 
> I suppose I should recent to `net` given it is a building warning,
> right?

Not necessarily, net-next is good enough for W=1 warnings in general.
Compiler warnings only show up if the file in question or some header
it includes was modified. The linker warnings are a bit special.
If you touch any file in any module you'll see all linker warnings.